Bug 37391 - kernel BUG at highmem.c:155!
kernel BUG at highmem.c:155!
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-24 09:34 EDT by Wolfram Tempel
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 20:36:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wolfram Tempel 2001-04-24 09:34:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)


Apr 23 11:40:29 sgx10 kernel: kernel BUG at highmem.c:155!
Apr 23 11:40:29 sgx10 kernel: invalid operand: 0000
Apr 23 11:40:29 sgx10 kernel: CPU:    1
Apr 23 11:40:29 sgx10 kernel: EIP:    0010:[kunmap_high+100/144]
Apr 23 11:40:29 sgx10 kernel: EIP:    0010:[<c0138414>]
Apr 23 11:40:29 sgx10 kernel: EFLAGS: 00010286
Apr 23 11:40:29 sgx10 kernel: eax: 0000001d   ebx: fe097000   ecx: 
00000086   e
dx: 01000000
Apr 23 11:40:29 sgx10 kernel: esi: c20bdff0   edi: 00000000   ebp: 
00000000   e
sp: e22bfd9c
Apr 23 11:40:29 sgx10 kernel: ds: 0018   es: 0018   ss: 0018
Apr 23 11:40:29 sgx10 kernel: Process nfsd (pid: 6231, stackpage=e22bf000)
Apr 23 11:40:29 sgx10 kernel: Stack: c022da7b c022dc3d 0000009b 00000000 
f897da
e3 00001000 00000000 ffffffff
Apr 23 11:40:29 sgx10 kernel:        00000000 c0e7b640 000002e8 f897dbf3 
c0e7b6
40 e22bfddc e22bfde0 00001000
Apr 23 11:40:29 sgx10 kernel:        00000000 00000000 f73a7800 00000000 
f8994b
46 e22bfe34 f73a7800 00000024
Apr 23 11:40:29 sgx10 kernel: Call Trace: [error_table+47651/64248] 
[error_tabl
e+48101/64248] [<f897dae3>] [<f897dbf3>] [<f8994b46>] [<f897ec7f>] 
[<f897edc8>]

Apr 23 11:40:29 sgx10 kernel: Call Trace: [<c022da7b>] [<c022dc3d>] 
[<f897dae3>
] [<f897dbf3>] [<f8994b46>] [<f897ec7f>] [<f897edc8>]
Apr 23 11:40:29 sgx10 kernel:        [<f899ade2>] [<f89a3870>] 
[<f893faae>] [<f
894006a>] [inet_sendmsg+53/64] [sock_sendmsg+108/144] [<f89a4a40>] 
[<f893d010>]

Apr 23 11:40:29 sgx10 kernel:        [<f899ade2>] [<f89a3870>] 
[<f893faae>] [<f
894006a>] [<c01fa6d5>] [<c01c179c>] [<f89a4a40>] [<f893d010>]
Apr 23 11:40:29 sgx10 kernel:        [<f894c640>] [<f893c5a1>] 
[<f894c640>] [<f
89229a3>] [<f894c4a8>] [<f894c4d8>] [<f893c3b9>] [<f894c4a0>]
Apr 23 11:40:29 sgx10 kernel:        [kernel_thread+38/48] [<f893c190>]
Apr 23 11:40:29 sgx10 kernel:        [<c0107626>] [<f893c190>]
Apr 23 11:40:29 sgx10 kernel:
Apr 23 11:40:29 sgx10 kernel: Code: 0f 0b 83 c4 0c b9 01 00 00 00 ba 03 00 
00 0
0 b8 e4 d8 27 c0
Apr 23 13:31:15 sgx10 syslogd 1.4-0: restart.
....Apr 23 13:31:15 sgx10 kernel: Linux version 2.4.2-2smp 
(root@porky.devel.redhat
.com) (gcc version 2.96 20000731 (Red Hat Linux 7.1 2.96-79)) #1 SMP Sun 
Apr 8
20:21:34 EDT 2001
Apr 23 13:31:15 sgx10 kernel: BIOS-provided physical RAM map:
Apr 23 13:31:15 sgx10 kernel:  BIOS-e820: 00000000000a0000 @ 
0000000000000000 (
usable)
Apr 23 13:31:15 sgx10 kernel:  BIOS-e820: 0000000000010000 @ 
00000000000f0000 (
reserved)
Apr 23 13:31:15 sgx10 kernel:  BIOS-e820: 000000003fefe000 @ 
0000000000100000 (
usable)
Apr 23 13:31:15 sgx10 kernel:  BIOS-e820: 0000000000002000 @ 
000000003fffe000 (
reserved)
Apr 23 13:31:15 sgx10 kernel:  BIOS-e820: 0000000000080000 @ 
00000000fff80000 (
reserved)
Apr 23 13:31:15 sgx10 kernel:  BIOS-e820: 0000000000010000 @ 
00000000fec00000 (
reserved)
Apr 23 13:31:15 sgx10 kernel:  BIOS-e820: 0000000000010000 @ 
00000000fee00000 (
reserved)
Apr 23 13:31:15 sgx10 kernel: 127MB HIGHMEM available.
Apr 23 13:31:15 sgx10 rpc.statd[490]: Version 0.3.1 Starting
Apr 23 13:31:15 sgx10 nfslock: rpc.statd startup succeeded
Apr 23 13:31:15 sgx10 kernel: hm, page 00001000 reserved twice.
Apr 23 13:31:15 sgx10 kernel: Scan SMP from c0000000 for 1024 bytes.
Apr 23 13:31:15 sgx10 kernel: Scan SMP from c009fc00 for 1024 bytes.
Apr 23 13:31:15 sgx10 kernel: Scan SMP from c00f0000 for 65536 bytes.
Apr 23 13:31:15 sgx10 kernel: found SMP MP-table at 000fe710
Apr 23 13:31:15 sgx10 random: Initializing random number generator:  
succeeded
Apr 23 13:31:15 sgx10 kernel: hm, page 000fe000 reserved twice.
Apr 23 13:31:15 sgx10 kernel: hm, page 000ff000 reserved twice.
Apr 23 13:31:15 sgx10 kernel: hm, page 00100000 reserved twice.
Apr 23 13:31:15 sgx10 kernel: hm, page 000f0000 reserved twice.
Apr 23 13:31:15 sgx10 kernel: hm, page 000f1000 reserved twice.
Apr 23 13:31:15 sgx10 kernel: On node 0 totalpages: 262142
Apr 23 13:31:16 sgx10 kernel: zone(0): 4096 pages.
Apr 23 13:31:16 sgx10 kernel: zone DMA has max 32 cached pages.
Apr 23 13:31:16 sgx10 kernel: zone(1): 225280 pages.
Apr 23 13:31:16 sgx10 kernel: zone Normal has max 1024 cached pages.
Apr 23 13:31:16 sgx10 kernel: zone(2): 32766 pages.
Apr 23 13:31:16 sgx10 netfs: Mounting other filesystems:  succeeded
Apr 23 13:31:16 sgx10 kernel: zone HighMem has max 255 cached pages.
Apr 23 13:31:16 sgx10 kernel: Intel MultiProcessor Specification v1.4
...




Reproducible: Didn't try

Machine is a Dell Poweredge 2400 with 1GB of DRAM,
runs Redhat 7 with 2.4.2-2smp

Above is output from /var/log/messages.

Does
hm, page 000f0000 reserved twice.
point to a problem?

When "it" happens nobody can login, neither locally nor remotely BUT ping 
still works!
Comment 1 Arjan van de Ven 2001-04-24 09:50:30 EDT
Question: did you run out of diskspace at this time ?
Comment 2 Stephen Tweedie 2001-04-24 11:41:05 EDT
At first glance, this does not look like a VM bug.  Somebody has done a kunmap
on a page twice.  The unmap we BUGged on was in knfsd, so that's the first place
to look.
Comment 3 Wolfram Tempel 2001-04-24 16:44:46 EDT
1) I did not run out of disk space at that time.
2) "It" happened" again, also with a reference to highmem.c:155 but not process 
nfsd but process "su" when I tried to "su" from my standard user account. 
Comment 4 Stephen Tweedie 2001-07-23 17:01:49 EDT
Can you reproduce this on the errata (2.4.3-12) kernel?

Note You need to log in before you can comment on or make changes to this bug.